function solve_1dfem
% Matlab Programm fuer 1D- Problem
% -au''+bu'+cu=f in (0,1)
% a,b,c konstant

clear all;
close all;

% Netz laden
load coordinates.dat
load elements.dat



teil = 'a';

switch teil
  case 'a'
    dirichlet = 1; neumann = 3;
    a=1;b=0;c=0;       u_d=0; u_n=0.5; f = @(x) 1;
  case 'b'
    dirichlet = 1; neumann = 3;
    a=1;b=0;c=1;       u_d=1; u_n=1; f = @(x) 0;
  case 'c'
    dirichlet = 1; neumann = 3;
    a=1;b=0.1;c=0;     u_d=1; u_n=-0.25; f = @(x) x;
  case 'd'
    %...tbd...
    %dirichlet =  ???
    %neumann =   ???
    %...tbd...
    a=1;b=0;c=0;   u_d=[]; u_n=1; f = @(x) 1;
end



% berechne FEM
for k=0:3
  u=fem1d(coordinates,elements,dirichlet,neumann,a,b,c,f,u_d,u_n);
% FEM Loesung plotten
  plot(coordinates(elements)',u(elements)','k-');
  hold on;
  pause;
% Verfeinere Gitter
  coordinates=[coordinates;sum(coordinates(elements),2)/2];
  n=size(elements,1);
  elements=[[elements(:,1),(n+2:2*n+1)'];[(n+2:2*n+1)',elements(:,2)]];
end

%berechne letztes Mal FEM
u=fem1d(coordinates,elements,dirichlet,neumann,a,b,c,f,u_d,u_n);

% Plot of the FE-solution
 plot(coordinates(elements)',u(elements)','k-'),hold on
